com.corticon.analytics

## Class CcAnalyticsHandlerMetric

- java.lang.Object
- - com.corticon.analytics.CcAnalyticsHandlerMetric

-     public class CcAnalyticsHandlerMetric
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CcAnalyticsHandlerMetric(java.lang.Integer aiSequenceNumber, java.lang.String astrAction, java.lang.String astrEntityName, java.lang.String astrEntityIdentityValues, java.lang.String astrAttributeName, java.lang.Object aobjAttributeBeforeValue, java.lang.Object aobjAttributeAfterValue, java.lang.String astrRoleName, java.lang.String astrTargetEntityName, java.lang.String astrTargetEntityIdentityValues, java.lang.String astrRulesheetName, java.lang.String astrRuleNumber)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAction()`
    `java.lang.Object` | `getAttributeAfterValue()`
    `java.lang.Object` | `getAttributeBeforeValue()`
    `java.lang.String` | `getAttributeName()`
    `java.lang.String` | `getEntityIdentityValues()`
    `java.lang.String` | `getEntityName()`
    `java.lang.String` | `getRoleName()`
    `java.lang.String` | `getRuleNumber()`
    `java.lang.String` | `getRulesheetName()`
    `int` | `getSequenceNumber()`
    `java.lang.String` | `getTargetEntityIdentityValues()`
    `java.lang.String` | `getTargetEntityName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CcAnalyticsHandlerMetric

          public CcAnalyticsHandlerMetric(java.lang.Integer aiSequenceNumber,
                                          java.lang.String astrAction,
                                          java.lang.String astrEntityName,
                                          java.lang.String astrEntityIdentityValues,
                                          java.lang.String astrAttributeName,
                                          java.lang.Object aobjAttributeBeforeValue,
                                          java.lang.Object aobjAttributeAfterValue,
                                          java.lang.String astrRoleName,
                                          java.lang.String astrTargetEntityName,
                                          java.lang.String astrTargetEntityIdentityValues,
                                          java.lang.String astrRulesheetName,
                                          java.lang.String astrRuleNumber)

  - ### Method Detail

    - #### getSequenceNumber

          public final int getSequenceNumber()

    - #### getAction

          public final java.lang.String getAction()

    - #### getEntityName

          public final java.lang.String getEntityName()

    - #### getEntityIdentityValues

          public final java.lang.String getEntityIdentityValues()

    - #### getAttributeName

          public final java.lang.String getAttributeName()

    - #### getAttributeBeforeValue

          public final java.lang.Object getAttributeBeforeValue()

    - #### getAttributeAfterValue

          public final java.lang.Object getAttributeAfterValue()

    - #### getRoleName

          public final java.lang.String getRoleName()

    - #### getTargetEntityName

          public final java.lang.String getTargetEntityName()

    - #### getTargetEntityIdentityValues

          public final java.lang.String getTargetEntityIdentityValues()

    - #### getRulesheetName

          public final java.lang.String getRulesheetName()

    - #### getRuleNumber

          public final java.lang.String getRuleNumber()

Copyright © 2005-2023 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.